Skip to main content
GET
/
v1
/
markets
/
{slug}
/
book
Get Market Book
curl --request GET \
  --url https://gateway.polymarket.us/v1/markets/{slug}/book
{
  "marketData": {
    "marketSlug": "<string>",
    "bids": [
      {
        "px": {
          "value": 123.45,
          "currency": "<string>"
        },
        "qty": "<string>"
      }
    ],
    "offers": [
      {
        "px": {
          "value": 123.45,
          "currency": "<string>"
        },
        "qty": "<string>"
      }
    ],
    "state": "MARKET_STATE_OPEN",
    "stats": {
      "openPx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "closePx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "lowPx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "highPx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "lastTradePx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "indicativeOpenPx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "settlementPx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "sharesTraded": "<string>",
      "notionalTraded": {
        "value": 123.45,
        "currency": "<string>"
      },
      "lastTradeQty": "<string>",
      "openInterest": "<string>",
      "settlementPreliminaryFlag": true,
      "openSetTime": "2023-11-07T05:31:56Z",
      "closeSetTime": "2023-11-07T05:31:56Z",
      "highSetTime": "2023-11-07T05:31:56Z",
      "lowSetTime": "2023-11-07T05:31:56Z",
      "lastTradeSetTime": "2023-11-07T05:31:56Z",
      "indicativeOpenSetTime": "2023-11-07T05:31:56Z",
      "settlementSetTime": "2023-11-07T05:31:56Z",
      "openInterestSetTime": "2023-11-07T05:31:56Z",
      "notionalSetTime": "2023-11-07T05:31:56Z",
      "settlementPriceCalculationMethod": "SETTLEMENT_PRICE_CALCULATION_METHOD_VWAP_TIER_1",
      "tradingReferencePx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "tradingReferenceSetTime": "2023-11-07T05:31:56Z",
      "currentPx": {
        "value": 123.45,
        "currency": "<string>"
      },
      "lastPriceSample": {
        "longPx": {
          "value": 123.45,
          "currency": "<string>"
        },
        "shortPx": {
          "value": 123.45,
          "currency": "<string>"
        },
        "ts": "2023-11-07T05:31:56Z"
      }
    },
    "transactTime": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.polymarket.us/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

slug
string
required

Market slug

Response

Market data including order book and stats

Response containing market book data including order book and stats

marketData
object